module.exports = {
  root: true,
  env: {
    node: true
  },
  extends: [
    'plugin:vue/essential',
    '@vue/standard'
  ],
  parserOptions: {
    parser: 'babel-eslint'
  },
  rules: {
    'no-console': process.env.NODE_ENV === 'production' ? 'warn' : 'off',
    'no-debugger': process.env.NODE_ENV === 'production' ? 'warn' : 'off',
    'space-before-function-paren': 0,
    'key-spacing':0,
    'quote-props':0,
    'no-trailing-spaces':0,
    'object-curly-newline':0,
    'object-property-newline':0,
    'indent':0,
    'object-curly-newline':0,
    'quotes':0,
    'no-unused-vars':0,
    'arrow-spacing':0,
    'no-useless-return':0,
  }
}
